You are not logged in.

#1 2011-05-29 15:39:55

H-Bloxx
Member
Registered: 2010-08-10
Posts: 14

Update Issue heimdal, krb5 and gtk2-appmenu

Hi!

I didn't had the chance to upgrade my system for a while so when I tried to update it today it throws up errors (sorry for being in german):

sudo pacman -Syu
Passwort: 
:: Synchronisiere Paketdatenbanken...
 core ist aktuell
 extra ist aktuell
 community ist aktuell
 multilib ist aktuell
 archlinuxfr ist aktuell
:: Starte komplette Systemaktualisierung...
:: gnome2-user-docs durch extra/gnome-user-docs ersetzen? [J/n] j
:: gnome-media-pulse durch extra/gnome-media ersetzen? [J/n] j
:: gnome-panel-bonobo durch extra/gnome-panel ersetzen? [J/n] j
:: gnome-settings-daemon-pulse durch extra/gnome-settings-daemon ersetzen? [J/n] j
:: gnome-themes durch extra/gnome-themes-standard ersetzen? [J/n] j
:: heimdal durch core/krb5 ersetzen? [J/n] j
:: lib32-libjpeg durch multilib/lib32-libjpeg-turbo ersetzen? [J/n] j
:: nautilus-elementary durch archlinuxfr/marlin-bzr ersetzen? [J/n] j
:: python2-qt durch extra/python2-pyqt ersetzen? [J/n] j
:: thunderbird-de durch extra/thunderbird-i18n-de ersetzen? [J/n] j
Löse Abhängigkeiten auf...
:: Es gibt 2-Provider für java-environment:
:: Repositorium extra
   1) openjdk6
:: Repositorium community
   2) jdk

Geben Sie eine Zahl ein (Voreinstellung=1): 2
Warnung: Abhängigkeits-Zyklus entdeckt:
Warnung: lib32-gcc-libs wird vor seiner Abhängigkeit gcc-libs-multilib installiert werden
Suche nach Zwischen-Konflikten...
Fehler: Konnte den Vorgang nicht vorbereiten (Kann Abhängigkeiten nicht erfüllen)
:: gtk2-appmenu: benötigt heimdal>=1.3.2

How can I solve this error? I can not remove gtk2-appmenu because it has too many dependencies. I also tried to rebuild gtk2-appmenue but this fails.

I have no Idea, how I can get out of this.

Offline

#2 2011-05-29 15:43:17

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: Update Issue heimdal, krb5 and gtk2-appmenu

pacman -Rdd gtk2-appmenu

pacman -Syu gtk2

also i strongly suggest to replace any aur packages with stock one like nautilus-elementary if you want stuff to work

Last edited by wonder (2011-05-29 15:44:17)


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#3 2011-05-29 16:03:20

H-Bloxx
Member
Registered: 2010-08-10
Posts: 14

Re: Update Issue heimdal, krb5 and gtk2-appmenu

Thank you. That was exactly what I was looking for!

Offline

Board footer

Powered by FluxBB